﻿.layoutdashboard {
    height: 100%;
    width: 100%;
    padding-top: 15px;
    padding-bottom: 15px;
    /*display:flex;
    align-items:center;
    justify-content:center;*/
}
.layoutdashboard-container {
    background-color: #e7ebef;
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    position: relative;
    gap: 0.5rem;
    border-radius:15px;
}
.layoutwidgetholder-container {
    display: flex;
    flex-direction: column;
    flex: 1;
    padding: 5px;
}

.layoutwidgetholder {
    position: relative;
    display: flex;
    align-items: stretch;
    justify-content: stretch;
    flex: 1;
}


.layoutwidget-image {
}

    .layoutwidget-image > img {
        display: block;
        margin-left: auto;
        margin-right: auto;
        width: 60%;
        opacity: 0.7;
    }

.layoutwidget-text-image {
    position: absolute;
    bottom: 0;
    left: 0;
    padding: 10px;
    width: 100%;
    text-align: center;
    background-color: white;
    overflow-wrap: break-word;
    opacity: 0.9;
    margin: 0;
    font-weight: 500;
}

.layoutwidget-text-noimage {
    padding: 10px;
    width: 100%;
    text-align: center;
    overflow-wrap: break-word;
    color: unset !important;
    font-weight: 500;
}

.layoutwidgetholder-tabs {
    padding: 0px;
    flex: 1;
    display: flex;
}

    .layoutwidgetholder-tabs .rz-tabview-panels > .rz-tabview-panel {
        height: 100%;
        padding: 0px;
    }


.layoutwidgetholder-tabs .rz-tabview-nav {
    justify-content: center;
    padding-block: 5px !important;
    gap: 10px;
}

    .layoutwidgetholder-tabs .rz-tabview-nav > li {
        padding: 10px;
        border-bottom-width: 0;
        border-top: 2px solid transparent;
        min-width: 120px;
        min-height: 70px;
        background-color: white;
        border-radius: 15px;
        display: flex !important;
        justify-content: center;
    }

        .layoutwidgetholder-tabs .rz-tabview-nav > li > a {
            padding: 0px;
            padding-inline: 5px !important;
            padding-block: 0px !important;
            text-transform: none !important;
            font-family: var(--rz-text-font-family) !important;
            font-size: var(--rz-text-h6-font-size) !important;
            line-height: var(--rz-text-h6-line-height) !important;
            font-weight: var(--rz-text-h6-font-weight) !important;
            letter-spacing: var(--rz-text-h6-letter-spacing) !important;
            width: 100%;
            height: 100%;
            justify-content: center;
        }

    .layoutwidgetholder-tabs.rz-tabview.rz-tabview-top > .rz-tabview-nav .rz-tabview-selected {
        border-bottom-width: 0;
        border-top: 2px solid transparent;
        background-color: var(--rz-primary);
        color: white !important;
    }

    .layoutwidgetholder-tabs.rz-tabview.rz-tabview-bottom > .rz-tabview-nav .rz-tabview-selected {
        border-bottom-width: 0;
        border-top: 2px solid transparent;
        background-color: var(--rz-primary);
        color: white !important;
    }

.layoutwidgetholder-tabs-notab .rz-tabview-nav {
    display: none;
}

.layoutwidgetholder-tabs-notab .rz-tabview-panels {
    border: unset !important;
}

.layouttabwidget {
    width: 100%;
    height: 100%;
}
.layoutfastkey-panel, .layoutfastkey-product, .layoutfastkey-productgroup {
    display: flex;
    align-self: stretch;
    flex: 1;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: top;
}

.layoutfastkey-product-code {
    background-color: var(--rz-primary);
    padding: 6px 10px;
    text-align: center;
    color: white;
    position: absolute;
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
    font-size: 20px;
    font-weight: 600;
}

    .layoutfastkey-product-code.center {
        right: 0;
        top: 50%;
        transform: translate(0, -50%);
    }

    .layoutfastkey-product-code.bottom {
        right: 0;
        bottom: 15px;
    }

.layoutfastkey-panel .layoutwidget-image > img, .layoutfastkey-product .layoutwidget-image > img, .layoutfastkey-productgroup .layoutwidget-image > img {
    display: block;
    max-width: 100%;
    max-height: 100%;
    object-fit: cover;
    height: 100%;
}

.layoutfastkey-panel .layoutwidget-text-image {
    position: absolute;
    bottom: 0;
    left: 0;
    padding: 10px;
    width: 100%;
    text-align: center;
    background-color: #b794f6;
    overflow-wrap: break-word;
    opacity: 0.9;
    margin: 0;
    font-weight: 500;
}

.layoutfastkey-product .layoutwidget-text-image {
    position: absolute;
    bottom: 0;
    left: 0;
    padding: 10px;
    width: 100%;
    text-align: center;
    background-color: #efe5fd;
    overflow-wrap: break-word;
    opacity: 0.9;
    margin: 0;
    font-weight: 500;
}

.layoutfastkey-productgroup .layoutwidget-text-image {
    position: absolute;
    bottom: 0;
    left: 0;
    padding: 10px;
    width: 100%;
    text-align: center;
    background-color: #d4bff9;
    overflow-wrap: break-word;
    opacity: 0.9;
    margin: 0;
    font-weight: 500;
}

.layoutfastkey-panel .layoutwidget-text-noimage, .layoutfastkey-product .layoutwidget-text-noimage, .layoutfastkey-productgroup .layoutwidget-text-noimage {
    padding: 10px;
    width: 100%;
    text-align: center;
    overflow-wrap: break-word;
    color: unset !important;
    align-self: center;
    font-weight: 500;
}

.layoutfastkey-product-quantityselection {
    position: absolute;
    top: 0;
    display: flex;
    padding: 10px;
    background-color: #efe5fd;
    width: 100%;
    align-items: center;
    justify-content: center;
    gap: 10px;
    opacity: 0.9;
}

    .layoutfastkey-product-quantityselection > .button {
        opacity: 1 !important;
    }

.layoutfastkey-product-quantity {
    margin-bottom: 0px;
    width: 40px;
    opacity: 1 !important;
    background-color: var(--rz-primary);
    color: var(--rz-on-primary);
    padding: 5px;
    border-radius: 5px;
    text-align: center;
}
.layoutwidgetsearch-list {
    border: unset;   
    overflow: auto;
    overflow-x: hidden;
}

    .layoutwidgetsearch-list:focus{
        border:unset !important;
    }

    .layoutwidgetsearch-list-item {
        height: 60px;
        display: flex;
        gap: 10px;
        position: relative;
    }

    .layoutwidgetsearch-list-item .imagecontainer {
        background-color: var(--rz-base-300);
        text-align: center;
        border-radius: 4px;
        padding: 10px;
    }

        .layoutwidgetsearch-list-item .imagecontainer .image {
            height: 100%;
        }

    .layoutwidgetsearch-list-item .titlecontainer {
        display: grid;
    }

    .layoutwidgetsearch-list-item .button {
        position: absolute;
        right: 0;
        height: 100%;
    }
.layoutwidget-editor-container {
    display: flex;
    flex-direction: column;
    gap: 10px;
    min-width:350px;
}

    .layoutwidget-editor-container-buttons {
        display: flex;
        gap: 10px;
        justify-content: end;
        padding-top: 10px;
    }
.layoutfastkeyholder-container {
    position: relative;
    display: flex;
    flex-direction: column;
    flex: 1;
    overflow: auto;
}

.layoutfastkeyholder-editheader {
    padding-bottom: 10px;
    display: flex;
    gap: 10px;
}

.layoutfastkeyholder-list {
    display: flex;
    flex-wrap: wrap;
    overflow:auto;
}

    .layoutfastkeyholder-list > .layoutwidget {
        margin: 5px;
        width: 200px !important;
        height: 150px;
    }
.layoutwidget-box {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 100%;
}

.layoutwidget-image {
}

    .layoutwidget-image > img {
        display: block;
        margin-left: auto;
        margin-right: auto;
        width: 60%;
        opacity: 0.7;
    }

.layoutwidget-text-image {
    position: absolute;
    bottom: 0;
    left: 0;
    padding: 10px;
    width: 100%;
    text-align: center;
    background-color: white;
    overflow-wrap: break-word;
    opacity: 0.9;
    margin: 0;
    font-weight: 500;
}

.layoutwidget-text-noimage {
    padding: 10px;
    width: 100%;
    text-align: center;
    overflow-wrap: break-word;
    color: unset !important;
    font-weight: 500;
}

.layoutdashboard-receiptbox {
    overflow: auto;
    background-color: white;
}
.layoutdashboard-widgetarea {
    /*width: calc(100% - var(--recehiptwidth));*/
    display: flex;
    flex-direction: column;
}
.layoutwidget-editmode {
    top: 10px;
    right: 10px;
    display: flex;
    gap: 10px;
    position: absolute;
    z-index: 1;
}

.layoutwidget-lock {
    top: 10px;
    right: 10px;
    display: flex;
    gap: 10px;
    position: absolute;
    z-index: 1;
}

    .layoutwidget-lock > img {
        height: 30px;
        width: 30px;
    }

.layoutwidget-payment .layoutwidget-box .layoutwidget-image {
    display: none;
}

.layoutwidget-resize-button {
    bottom: 10px;
    position: absolute;
    right: 10px;
    min-height: unset;
    z-index: 1;
    border-radius:15px !important;
}

.layoutwidget-add-button, .layoutwidget-editmode-button {
    min-height: unset;
}

.layoutwidget-resize-button {
    bottom: 10px;
    position: absolute;
    right: 10px;
    min-height: unset;
    z-index: 1;
}

.layoutwidget {
    box-shadow: none;
    opacity: 1 !important;
    cursor: pointer !important;
    padding: 0px;
    border-radius: 15px !important;
    height: 100%;
    opacity: 1 !important;
}

.layoutwidget.rz-button.rz-light {
    background-color: white !important;
}

.layoutwidget.rz-primary {
    background-color: black;
    opacity: 0.7;
    color: var(--rz-text-contrast-color);
}

.layoutwidget-editmode {
    top: 10px;
    right: 10px;
    display: flex;
    gap: 10px;
    position: absolute;
    z-index: 1;
}

.layoutwidget-lock {
    top: 10px;
    right: 10px;
    display: flex;
    gap: 10px;
    position: absolute;
    z-index: 1;
}

    .layoutwidget-lock > img {
        height: 30px;
        width: 30px;
    }

.layoutwidget-editmode-button {
    height: 40px;
    width: 40px;
    border-radius: 20px;
}

.layoutwidget-payment .layoutwidget-box .layoutwidget-image {
    display: none;
}

.layoutdashboard-widgetarea {
    /*width: calc(100% - var(--recehiptwidth));*/
    display: flex;
    flex-direction: column;
}

.layoutwidget-add-button, .layoutwidget-editmode-button {
    min-height: unset;
}

.blazorq-dropzone {
    min-height: 50px;
    height:100%;
    width:100%;
}

.blazorq-dropzone-dragged-over {
  /*  border: 2px dashed blue !important;*/
}

.blazorq-dropzone-spacing {
    /*height: 10px;*/
}

.blazorq-dropzone-spacing-dragged-over {
/*    padding: 25px;
    margin: 3px;
    border: 2px dashed blue;
    border-radius: 4px;*/
}

.blazorq-dropzone-item {
    opacity:1;
}

.blazorq-dropzone-item-inprogess > * {
    pointer-events: none;
}

.blazorq-dropzone-item-dragged-over {
    opacity: 0.6;
    animation: blinker 1s linear infinite;
}

    .blazorq-dropzone-item-dragged-over > div {
        opacity: 0.6;
        animation: blinker 1s linear infinite;
    }

.blazorq-dropzone-item-dragged-over-denied {
    opacity: 0.6;
    animation: blinker 1s linear infinite;
}

.blazorq-dropzone-item-in-transit-move {
    opacity: 1;
}

    .blazorq-dropzone-item-in-transit-move > div {
        opacity: 1;
    }

@keyframes blinker {
    50% {
        opacity: 0;
    }
}

.blink_me {
    animation: blinker 1s linear infinite;
}

.blazorq-dropzone-noselect {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.blazorq-dropzone-item-selected {
/*    border: 3px solid blue;*/
}
